% laplace.m
function val = laplace(A)
n = size(A,1);
val = 0;
if n == 1
    val = A(1,1);
else
    for j = 1:n
        I = 2:n;
        J = [1:j-1,j+1:n];
        hat_A_1j = A(I,J);
        val = val+(-1)^(1+j)...
            *A(1,j)...
            *laplace(hat_A_1j);
    end
end

