% jacobi.m
n = 10^4; b = ones(n,1); 
A = zeros(n,n); A(1,1) = 4; A(1,2) = -1; A(n,n) = 4; A(n,n-1) = -1;
for j = 2:n-1
    A(j,j) = 4; A(j,j-1) = -1; A(j,j+1) = -1;
end
% e = ones(n,1); A = spdiags([-e,4*e,-e],[-1,0,1],n,n);
D = diag(A); D_inv = D.^(-1); R = A-diag(D); 
x = zeros(n,1); tol = 1.0e-3; ctr = 0;
while norm(A*x-b) > tol
    x = D_inv.*(b-R*x); ctr = ctr+1; disp(ctr);
end